IONOS PHP Extended Support

In diesem Artikel informieren wir Sie über unsere kostenpflichtige Sonderleistung PHP Extended Support.

Was ist der PHP Extended Support?

PHP ist eine von der PHP Group entwickelte Programmiersprache, die häufig zur Erstellung und Verwaltung von Websites verwendet wird. IONOS Hostingpakete und Managed Server unterstützen PHP und ermöglichen es Ihnen, Websites mit PHP-basierten Websitesystemen wie WordPress, Drupal und Joomla! zu erstellen. 

Mit der Zeit entwickelt sich PHP weiter, und neue PHP-Versionen werden eingeführt. Ältere PHP-Versionen erhalten nach einer gewissen Zeit keine Updates mehr, was ein Sicherheitsrisiko darstellen kann. 

Um das Risiko zu minimieren und Ihnen mehr Zeit zu geben, auf eine neuere und sicherere PHP-Version umzusteigen, bieten wir den PHP Extended Support an. Dieser Service bedeutet, dass unsere Sicherheitsexperten sich um die Sicherheitslücken in älteren PHP-Versionen kümmern. So bleibt Ihre Website sicher, und Sie können sie ohne Unterbrechungen weiterbetreiben, bis Sie bereit sind, zu aktualisieren.

Für diesen zusätzlichen Schutz erheben wir eine monatliche Gebühr, da der Aufwand für die Wartung älterer Versionen für uns steigt.

PHP-Versionen mit PHP Extended Support

Im Folgenden finden Sie eine Aufstellung der älteren PHP-Versionen, die Sie im IONOS Hosting im Rahmen des PHP Extended Support nutzen können. Die Spalte Support-Ende enthält das Datum, ab dem die PHP-Community die Unterstützung für diese Version eingestellt hat.

Version Ende des PHP Community Supports
PHP 4.0 August 2008
PHP 5.2 Januar 2011
PHP 5.4 September 2015
PHP 5.5 Juli 2016
PHP 5.6 Dezember 2018
PHP 7.0 Januar 2019
PHP 7.1 Dezember 2019
PHP 7.2 30. November 2020
PHP 7.3 06. Dezember 2021
PHP 7.4 28. November 2022

Wichtige Information für Prestashop-Nutzer

Über das IONOS AppCenter installierte PrestaShop-Versionen bis einschließlich 1.7.8. funktionieren nicht mit einer PHP Version größer als 7.4.

PHP-Update auf eine Version größer 7.4 mit PrestaShop kleiner oder gleich 1.7.8 PHP Version kleiner oder gleich 7.4 wird beibehalten. PrestaShop kleiner gleich 1.7.8 wird beibehalten PrestaShop 8 oder größer soll eingesetzt werden
Aktion erforderlich: Führen Sie ein Update Ihrer PrestaShop-Installation durch. PrestaShop 8.0 unterstützt PHP 8.0 und 8.1 Keine Änderung an Ihrer PrestaShop-Installation erforderlich. Die Beibehaltung der PHP Version erfordert den ab April 2023 kostenpflichtigen PHP Extended Support Eine aktuelle PHP-Version, wie z.B. 8 oder 8.1, ist erforderlich

Wichtig: Sichern Sie vor allen Aktionen Ihre Daten von Webspace und MySQL-Datenbank.

Ermitteln PrestaShop-Version

Melden Sie sich im Administrationsbereich Ihres PrestaShops an und klicken Sie auf einen beliebigen Eintrag der Navigation. Verschieben Sie den Bildschirminhalt, bis der untere Rand erreicht wird. Auf der linken Seite wird die Versionsnummer Ihrer PrestaShop-Version angezeigt.

Wenn bereits PrestaShop 8.0 installiert ist, klicken Sie in der Navigation auf Datengruppe: Einstellungen > Erweiterte Einstellungen >Informationen, um die Version anzuzeigen.

Update PrestaShop

PrestaShop ist ein eigenständiges Open-Source-Programm, für das IONOS keine direkte Unterstützung anbietet. Informationen zum Update von PrestaShop finden Sie hier

Warum stellen Sie mir den PHP Extended Support in Rechnung?

Wir ändern Ihre PHP-Version nicht automatisch. Wenn in Ihrem IONOS Konto für mindestens eine Domain oder Subdomain eine PHP-Version eingestellt ist und der Support für diese Version eingestellt wird, informieren wir Sie darüber, dass die weitere Bereitstellung dieser Version nur noch im Rahmen von PHP Extended Support erfolgt. Außerdem informieren wir Sie über das Datum, an dem dieser Service nach einer kostenlosen Übergangszeit kostenpflichtig wird, wenn Sie nicht auf eine noch unterstützte Version upgraden und den PHP Extended Support kündigen.

PHP-Version überprüfen und aktualisieren

Sie können die PHP-Version für jede Ihrer Domains und Subdomains separat einstellen. Wie Sie herausfinden, welche PHP-Version Ihre Domains gerade verwenden und wie Sie diese aktualisieren, erfahren Sie hier.

Trotz Versionsumstellung taucht der PHP Extended Support weiterhin auf meiner Rechnung auf!

Sie haben Ihren Online-Auftritt, Ihre Domain bereits auf eine aktuelle PHP-Version umgestellt? Dann haben Sie sicherlich den Kündigungshinweis in Ihren  PHP-Einstellungen übersehen. Wenn Sie die Leistung des PHP Extended Supports nicht mehr benötigen, loggen Sie sich ein und wählen Sie anschließend Zusatzartikel kündigen aus. Darüber hinaus können Sie die Kündigung des PHP Extended Support Artikels auch über die PHP-Einstellungsseite einleiten.

PHP Extended Support in Managed WordPress-Verträgen

Um sicherzustellen, dass Managed WordPress-Websites immer aktuell und sicher sind, überprüfen und aktualisieren unsere Experten regelmäßig nicht nur die WordPress-Installation, sondern auch die verwendete PHP-Version. Sie müssen sich also keine Sorgen um die Aktualisierung der PHP-Version machen, da diese immer auf dem neuesten Stand ist.

Wenn wir Sie dennoch über die Verwendung einer veralteten PHP-Version informieren oder Ihnen der PHP Extended Support bereits in Rechnung gestellt wird, überprüfen Sie bitte Folgendes:

  • Haben Sie WordPress in der Standardversion installiert? Möglicherweise handelt es sich um eine zusätzlichen WordPress-Installation, oder Sie haben eine Managed WordPress-Installation in eine Standard-Installation geändert.
  • Haben Sie eine Domain oder Subdomains eingerichtet, die nicht mit einer Managed WordPress-Installation, einem Website-Baukasten von IONOS oder externen Service verbunden sind? 

Wie Sie herausfinden, mit welcher PHP-Version Ihre Domains konfiguriert sind und wie Sie die PHP-Version aktualisieren, erfahren Sie hier.

Wann haben wir Sie über den PHP Extended Support informiert?

Wir informieren Sie immer per E-Mail über bevorstehende PHP-Extended-Support-Versionen. Diese Benachrichtigung wird an die von Ihnen hinterlegte E-Mail-Adresse gesendet. Jetzt E-Mail-Adresse prüfen / aktualisieren

Tipp: Sie können von uns an Sie gesendete Mittelungen auch jederzeit in Ihrem IONOS Kundenkonto einsehen, indem Sie oben rechts auf das Glocken-Symbol klicken. Jetzt Mitteilungen anzeigen

Wann beginnt der PHP Extended Support?

Der PHP Extended Support beginnt direkt nach Ende des Supports durch die PHP-Community. Unabhängig davon empfehlen wir, immer eine aktuelle und bewährte PHP-Version einzusetzen.

Sie sind sich nicht sicher, ob Sie den PHP Extended Support überhaupt benötigen?

So testen Sie dies:

Sollte alles wie gewünscht funktionieren, dann können Sie über den Vertragsservice den PHP Extended Support kündigen. Eine Anleitung, wie Sie den Zusatzartikel kündigen, finden Sie hier.

Alternativ informieren Sie bitte unseren Kundenservice, um den PHP Extended Support zu kündigen.

Ihre Skripte funktionieren nach der Umstellung nicht mehr?

Stellen Sie die PHP-Version wieder auf die ursprüngliche PHP-Version um und kontaktieren Sie einen Experten. Offensichtlich ist Ihre Anwendung nicht ohne Skript-Anpassungen mit der eingestellten PHP-Version kompatibel.

Sie möchten Ihre Skripte an eine höhere PHP-Version anpassen, benötigen aber mehr Zeit?

Testen Sie bitte zunächst, ob eine Anpassung der Skripte überhaupt notwendig ist. Sollten größere Anpassungen notwendig sein, dann kontaktieren Sie bitte unseren Kundenservice.